﻿// <auto-generated />
using System;
using EnergyDataCollectionService.Data;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;

namespace EnergyDataCollectionService.Migrations
{
    [DbContext(typeof(ApplicationDbContext))]
    [Migration("20210516125740_addedWindData")]
    partial class addedWindData
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("Relational:MaxIdentifierLength", 64)
                .HasAnnotation("ProductVersion", "5.0.4");

            modelBuilder.Entity("EnergyDataCollectionService.Models.Entity.SolarData", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint");

                    b.Property<DateTime>("Date")
                        .HasColumnType("datetime(6)");

                    b.Property<double>("GHI")
                        .HasColumnType("double");

                    b.HasKey("Id");

                    b.ToTable("SolarData");
                });

            modelBuilder.Entity("EnergyDataCollectionService.Models.Entity.WindData", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint");

                    b.Property<DateTime>("Date")
                        .HasColumnType("datetime(6)");

                    b.Property<double>("Temprature")
                        .HasColumnType("double");

                    b.Property<double>("WindSpeed")
                        .HasColumnType("double");

                    b.HasKey("Id");

                    b.ToTable("WindData");
                });
#pragma warning restore 612, 618
        }
    }
}
